idris-1.0: Functional Programming Language with Dependent Types

Copyright | License : BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell98

Idris.Primitives

Description

# Documentation

primitives :: [Prim] #

data Prim #

Constructors

Prim |
Fields p_name :: Name p_type :: Type p_arity :: Int p_def :: [Const] -> Maybe Const p_lexp :: (Int, PrimFn) p_total :: Totality